Foundation Models Image Generation API, REST: ImageGenerationAsync.Generate
A method for generating an image based on a textual description.
HTTP request
POST https://llm.api.cloud.yandex.net/foundationModels/v1/imageGenerationAsync
Body parameters
{
"modelUri": "string",
"messages": [
{
"text": "string",
"weight": "string"
}
],
"generationOptions": {
"mimeType": "string",
"seed": "string",
"aspectRatio": {
"widthRatio": "string",
"heightRatio": "string"
}
}
}
Request for the service to generate an image.
For examples of usage, see step-by-step guide.
|
Field |
Description |
|
modelUri |
string The model URI to be used for image generation. |
|
messages[] |
A list of messages representing the context for the image generation model. |
|
generationOptions |
Image generation options. |
Message
The text descriptions and weights that the model uses to generate an image.
|
Field |
Description |
|
text |
string Text describing the image. |
|
weight |
string Message weight. Negative values indicate negative messages. Note: Currently not supported. |
ImageGenerationOptions
|
Field |
Description |
|
mimeType |
string The MIME type of generated image format. |
|
seed |
string (int64) Seed for image generation. It serves as a starting point for image generation from noise. If set to 0 or not provided, a randomly generated value will be used. |
|
aspectRatio |
Aspect ratio of generated image. |
AspectRatio
|
Field |
Description |
|
widthRatio |
string (int64) Weight of width in image. |
|
heightRatio |
string (int64) Weight of height in image. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": {
"image": "string",
"modelVersion": "string"
}
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 text format. The range of possible values is from To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 text format. The range of possible values is from To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code. |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |
ImageGenerationResponse
Response containing generated image.
|
Field |
Description |
|
image |
string (bytes) The image is serialized as an array of bytes encoded in Base64. |
|
modelVersion |
string The model version changes with each new releases. |